document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_5200
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash sudo apt-get update -sudo apt-get install -y build-essential zlib1g-dev wget curl python-setuptools git libz-dev +sudo apt-get install -y build-essential zlib1g-dev wget curl python-setuptools git libz-dev ia32-libs mkdir tmp cd tmp wget https://raw.github.com/chapmanb/bcbio-n...
bash
d_bash_5201
--- +++ @@ -12,6 +12,8 @@ brew install bash-git-prompt brew install carthage brew install cowsay +brew install docker +brew install docker-compose brew install exercism brew install git brew install gitsh @@ -19,6 +21,7 @@ brew install imagemagick brew install leiningen brew install node +brew install postgr...
bash
d_bash_5202
--- +++ @@ -4,31 +4,9 @@ # Exit on the first test failure and set RETURN_CODE = 1 echo "Starting tests...good luck:" \ -&& echo "Cisco IOS" \ -&& py.test -v test_netmiko_show.py --test_device cisco881 \ -&& py.test -v test_netmiko_config.py --test_device cisco881 \ -\ -&& echo "Arista" \ -&& py.test -v test_netmi...
bash
d_bash_5203
--- +++ @@ -4,10 +4,14 @@ SHA=$(git rev-parse HEAD) +cd test-environments/browser-umd-react-16 + +lein do clean, cljsbuild once prod + +cd ../.. + # Prerendering seems to work best on React 16 cd test-environments/browser-node-react-16 - -lein do clean, cljsbuild once prod lein cljsbuild once prerender nod...
bash
d_bash_5204
--- +++ @@ -29,3 +29,6 @@ # Do not modify ls and prompts for all new users patch -p 0 -i /root/shared/bashrc.diff + +# Create initial mandb database (recommended by man-db package) +mandb --quiet
bash
d_bash_5205
--- +++ @@ -1,3 +1,3 @@ #!/bin/sh -qemu-system-i386 -m 64M -M q35 -watchdog i6300esb -device rtl8139 -boot order=c -serial stdio -d cpu_reset -no-reboot -cdrom esrtk.iso 2>&1 | tr -d '\r' | tee run.log +qemu-system-i386 -m 64M -M q35 -watchdog i6300esb -device rtl8139 -boot order=c -serial stdio -d cpu_reset -no-r...
bash
d_bash_5206
--- +++ @@ -1,16 +1,16 @@ # requires exiftool -find unprocessed -type f -print0 | xargs -0 -I {} exiftool -P \ +find Unprocessed -type f -print0 | xargs -0 -I {} exiftool -P \ -d '%Y/%m/%Y%m%d_%H%M%S' \ - '-filename<organized/${FileModifyDate}_${SubSecTimeOriginal;}%-c.%le' \ - '-filename<organized/${GP...
bash
d_bash_5207
--- +++ @@ -11,7 +11,7 @@ if [ "${#words}" -eq 2 ]; then completions="$(pyenv commands)" else - completions="$(pyenv completions "${words[2,-2]}")" + completions="$(pyenv completions ${words[2,-2]})" fi reply=("${(ps:\n:)completions}")
bash
d_bash_5208
--- +++ @@ -16,17 +16,17 @@ } >&2 echo First stage: Build new compiler source -build_compiler_source +time build_compiler_source copy_compiler build_compiler_binary >&2 echo Second stage: Build source again with binary derived from itself -build_compiler_source +time build_compiler_source copy_compiler bui...
bash
d_bash_5209
--- +++ @@ -2,6 +2,7 @@ FOLDER="/mnt/base-us/weather" FILE="weather.png" +URL="http://cn-vpn.grisge.info/weather/weather.png" cd $FOLDER @@ -16,7 +17,7 @@ fi rm $FOLDER/$FILE -wget http://cn-vpn.grisge.info/weather/weather.png -O $FOLDER/$FILE +wget $URL -O $FOLDER/$FILE # Lock screen /usr/bin/powerd...
bash
d_bash_5210
--- +++ @@ -7,7 +7,7 @@ # organize Unprocessed photos by date into Organized find -E Unprocessed \ -type f \ - -iregex '.*\.(jpg|mov|heic)' \ + -iregex '.*\.(jpg|mov|heic|mp4)' \ -print0 | xargs -0 -I {} \ exiftool \ -P -d '%Y/%m/%Y%m%d_%H%M%S' \
bash
d_bash_5211
--- +++ @@ -32,5 +32,5 @@ (cd docs && make html && cd -) ls -lt docs/_build pwd - python devtools/ci/push-docs-to-s3.py + python devtools/travis-ci/push-docs-to-s3.py fi
bash
d_bash_5212
--- +++ @@ -1,3 +1,3 @@ -export PATH="./bin:$HOME/.rbenv/shims:$HOME/.bin:/usr/local/bin:/usr/local/sbin:$ZSH/bin:$PATH" +export PATH="./bin:$HOME/.rbenv/shims:/usr/local/bin:/usr/local/sbin:/usr/local/bin/npm:$ZSH/bin:$HOME/.bin:$PATH" export MANPATH="/usr/local/man:/usr/local/git/man:$MANPATH"
bash
d_bash_5213
--- +++ @@ -2,7 +2,7 @@ set -e # TODO: pin this to a specific version! -git clone git@github.com:ANHIG/IMGTHLA.git +git clone https://github.com/ANHIG/IMGTHLA.git eval `opam config env` export OPAMYES="true"
bash
d_bash_5214
--- +++ @@ -10,4 +10,4 @@ #mv terraform bin export PATH="$PATH:$(pwd)/bin" -make deploy +#make apply
bash
d_bash_5215
--- +++ @@ -1,5 +1,5 @@ #!/usr/bin/env bash molecule destroy docker stop artifactory > null -rm -rf /root/artifactory > null +sudo rm -rf /root/artifactory > null echo removed container artifactory.
bash
d_bash_5216
--- +++ @@ -6,7 +6,9 @@ # This script installs Ukrainian dictionary files which support system-wide # spell checking for OS X. # -# Reference: http://apple.stackexchange.com/a/11842/75491 +# Reference: +# * http://apple.stackexchange.com/a/11842/75491 +# * http://extensions.services.openoffice.org/en/project/ukrai...
bash
d_bash_5217
--- +++ @@ -4,7 +4,7 @@ #I accept no responsibility for damage done by this script branch=alex/amd-staging-drm-next -delta=(drivers/gpu/drm include/drm include/uapi/drm/amdgpu_drm.h) +delta=(include/uapi/drm/drm_fourcc.h include/uapi/drm/drm_mode.h drivers/dma-buf/reservation.c include/linux/reservation.h drivers...
bash
d_bash_5218
--- +++ @@ -2,7 +2,7 @@ #installs python2 -pythonScriptURL="https://www.dropbox.com/s/p20uwpxf41y484w/processcommunicator.py?dl=1" +pythonScriptURL="https://raw.githubusercontent.com/MaxDistructo/ShellScripts/master/processcommunicator.py" if [ $TERM_PROGRAM = "Apple_Terminal" ]; #MacOS check then #Assume Ma...
bash
d_bash_5219
--- +++ @@ -13,6 +13,7 @@ sudo sed -i "s/bridge name='brbm'/bridge name='br-ctlplane'/" /opt/stack/tripleo-incubator/templates/brbm.xml /opt/stack/tripleo-incubator/scripts/setup-network +sudo ip link del $PUBLIC_INTERFACE || true sudo ip link add $PUBLIC_INTERFACE type dummy sudo init-neutron-ovs
bash
d_bash_5220
--- +++ @@ -5,3 +5,10 @@ make make install make check +if [ $? -ne 0 ]; then + echo "make check failed, printing logs for debugging:" + echo "src/test-suite.log:" + cat src/test-suite.log + echo "config.log:" + cat config.log +fi
bash
d_bash_5221
--- +++ @@ -5,4 +5,6 @@ echo "Node $NODEID reporting for duty!" echo $NODEID > /zookeeper/data/myid +sleep 30 + /opt/zookeeper-3.4.6/bin/zkServer.sh start-foreground
bash
d_bash_5222
--- +++ @@ -1,9 +1,11 @@ #!/bin/bash + +abbrev_commit=`git log -1 --format=%h` gulp pkg-sync pushd src -npm version $npm_package_version-latest +npm version $npm_package_version-$abbrev_commit mkdir -p ../dist/cnc/ cp -af package.json ../dist/cnc/ babel -d ../dist/cnc/ *.js
bash
d_bash_5223
--- +++ @@ -7,7 +7,7 @@ docker login -e "$DOCKER_EMAIL" -u "$DOCKER_USERNAME" -p "$DOCKER_PASSWORD" docker push ${DOCKER_REPOSITORY}:${TRAVIS_COMMIT} -docker tag -f ${DOCKER_REPOSITORY}:${TRAVIS_COMMIT} ${DOCKER_REPOSITORY}:last_successful_build +docker tag ${DOCKER_REPOSITORY}:${TRAVIS_COMMIT} ${DOCKER_REPOSITOR...
bash
d_bash_5224
--- +++ @@ -1,4 +1,9 @@ #!/bin/bash -v + +host=$1 +hostdir="/root/bootstrap/hosts/${host}" + +echo "Installing on host ${host}" echo "Updating packages" yum update -y @@ -10,12 +15,12 @@ gem install r10k echo "Running r10k" -pushd /root/bootstrap/instances/build +pushd ${hostdir} /usr/local/bin/r10k puppetf...
bash
d_bash_5225
--- +++ @@ -16,7 +16,7 @@ result=$(dotnet run) cd .. rm -rf testApp - [ "$result" == "Hello World!" ] || ( echo ".NET hello world test failed." ; exit 1 ) + [[ "$result" == *"Hello"* ]] || ( echo ".NET hello world test failed." ; exit 1 ) echo ".NET hello test passed!...
bash
d_bash_5226
--- +++ @@ -7,6 +7,9 @@ if [ ! -d "packaging" ]; then echo "Please run from the project root directory" fi + +rm -f gdrivefs-*.deb gdrivefs-*.jar gdrivefs-*.rpm + VERSION=$1 WORKDIR=$(mktemp -d) DEBDIR=$WORKDIR/debian
bash
d_bash_5227
--- +++ @@ -3,10 +3,8 @@ mkdir -p $TESTDATA_DIR -cd $TESTDATA_DIR +#cd $TESTDATA_DIR echo "Start Download forest_brazil" -wget ftp://ftp.eorc.jaxa.jp/pub/ALOS-2/1501sample/310_forestbrazil/0000022708_001001_ALOS2015976960-140909.zip +wget -P $TESTDATA_DIR ftp://ftp.eorc.jaxa.jp/pub/ALOS-2/1501sample/310_fores...
bash
d_bash_5228
--- +++ @@ -1,6 +1,5 @@ DIR=$(mktemp -d) git clone https://github.com/adamhammes/hammes.io $DIR cd $DIR -hugo -cp -r public /home/adam/site +hugo --destination /home/adam/site rm -rf $DIR
bash
d_bash_5229
--- +++ @@ -1,4 +1,18 @@ -set -e +((error_count=0)) +on_error() { + ((error_count++)) +} + +output="" +check_repo() { + trap on_error ERR + repo_name=$1 + shift + results=$(bundle exec govuk_security_audit github alphagov "${repo_name}" $@) + if [ $? -ne 0 ]; then + output=$(printf "%s\n%s\n%s" "${output}" "...
bash
d_bash_5230
--- +++ @@ -16,10 +16,10 @@ fi if [[ "$WATIR_WEBDRIVER_BROWSER" = "phantomjs" ]]; then - curl -L -O "https://phantomjs.googlecode.com/files/phantomjs-1.9.0-linux-x86_64.tar.bz2" - mkdir phantomjs - tar -xvjf phantomjs-1.9.0-linux-x86_64.tar.bz2 -C phantomjs - chmod +x phantomjs/bin/phantomjs - sudo cp phanto...
bash
d_bash_5231
--- +++ @@ -1,4 +1,6 @@ #!/usr/bin/env bash + +mkdir -p bin rm bin/libminiz.a gcc -O2 -c -fPIC miniz/*.c
bash
d_bash_5232
--- +++ @@ -6,4 +6,5 @@ (cd node_modules/matrix-react-sdk && npm run build) # npm doesn't do this when dependencies point at github.com >:( npm run build # Dumps artificats to /vector rm vector-*.tar.gz || true # rm previous artifacts without failing if it doesn't exist -tar -zcvhf vector-$GIT_COMMIT.tar.gz vector...
bash
d_bash_5233
--- +++ @@ -9,7 +9,7 @@ function check() { # run clippy on a project, try to be verbose and trigger as many warnings as possible for greater coverage - RUST_BACKTRACE=full cargo clippy --all-targets --all-features -- --cap-lints warn -W clippy_pedantic -W clippy_nursery &> clippy_output + RUST_BACKTRACE=full c...
bash
d_bash_5234
--- +++ @@ -6,7 +6,7 @@ echo "Pipelines are disabled." dpp init else - rm celerybeat-schedule || ls -la + # rm celerybeat-schedule || ls -la # cd eu-structural-funds # export PYTHONPATH=$PYTHONPATH:`pwd` # export DPP_PROCESSOR_PATH=`pwd`/common/processors @@ -18,8 +18,8 @@ rm -f c...
bash
d_bash_5235
--- +++ @@ -7,9 +7,6 @@ export EMOJI_HOST=https://example.com/ export NODE_ENV=production -echo "--- :relay: Compiling GraphQL Relay files" -yarn run relay - echo "+++ :package::mag: Running webpack-bundle-analyzer on a production bundle" yarn run bundle-analyze
bash
d_bash_5236
--- +++ @@ -3,5 +3,6 @@ set -eux set -o pipefail -sudo apt-get install -y python3 python3-dev swig portaudio19-dev +sudo apt-get install -y python3 python3-dev python3-pip swig portaudio19-dev +sudo pip3 install tox tox
bash
d_bash_5237
--- +++ @@ -4,7 +4,4 @@ swift test # Run tests for tvOS -xcodebuild clean test -project Files.xcodeproj -scheme Files-tvOS -destination "platform=tvOS Simulator,name=Apple TV 1080p" CODE_SIGN_IDENTITY="" CODE_SIGNING_REQUIRED=NO ONLY_ACTIVE_ARCH=NO - -# Build for watchOS -xcodebuild clean build -project Files.xco...
bash
d_bash_5238
--- +++ @@ -7,4 +7,4 @@ sudo apt-get install ansible #Run Ansible -PYTHONIOENCODING='utf-8' ansible-playbook desktop.yml +PYTHONIOENCODING='utf-8' ansible-playbook desktop.yml --ask-sudo-pass
bash
d_bash_5239
--- +++ @@ -6,7 +6,7 @@ for f in $VALID_FILES do - validate-asm $f + ./bin/validate-asm $f if [ $? -ne 0 ]; then exit 1 fi @@ -16,7 +16,7 @@ for f in $INVALID_FILES do - validate-asm $f + ./bin/validate-asm $f if [ $? -ne 1 ]; then exit 1 fi
bash
d_bash_5240
--- +++ @@ -12,4 +12,4 @@ --dist . \ --src "{browser/*,docs/*}" \ --repo "https://$GH_TOKEN@github.com/sudo-suhas/elastic-builder.git" \ - --message "docs: Build docs for `npm run -s print-version`" + --message "docs: Build docs for $(npm run -s print-version)"
bash
d_bash_5241
--- +++ @@ -1,4 +1,4 @@ -if [ $# -ne 2 ] +if [ $# -ne 1 ] then echo "Correct Syntax: $0 [ allinone | controller | compute | networknode | controller_networknode ]" exit 1;
bash
d_bash_5242
--- +++ @@ -7,15 +7,11 @@ python <<EOF +# Append to effective python path so that can find plplot modules. +from plplot_python_start import * + import sys import os - -module_dir = "@MODULE_DIR@" - -if module_dir[0] == '@': - module_dir = os.getcwd () - -sys.path.insert (0, module_dir) from plplot import * ...
bash
d_bash_5243
--- +++ @@ -1,3 +1,3 @@ -export PATH=".:bin:/usr/local/bin:/usr/local/sbin:$ZSH/bin:$PATH" +export PATH=".:bin:/usr/local/bin:/usr/local/sbin:$HOME/.sfs:$ZSH/bin:$PATH" export MANPATH="/usr/local/man:/usr/local/mysql/man:/usr/local/git/man:$MANPATH"
bash
d_bash_5244
--- +++ @@ -1,6 +1,7 @@ wget https://github.com/samtools/samtools/releases/download/1.3.1/samtools-1.3.1.tar.bz2 tar xjvf samtools-1.3.1.tar.bz2 cd samtools-1.3.1 +./configure make cd .. rm samtools-1.3.1.tar.bz2
bash
d_bash_5245
--- +++ @@ -9,7 +9,7 @@ # use it to declare tasks that should run for any kind of bump go vet ./... go fmt ./... - go run main.go # alike tests when you don t have tests + go run main.go # finalize the changelog changelog finalize --version !newversion! git commit change.log -m "changelog: !newver...
bash
d_bash_5246
--- +++ @@ -33,7 +33,7 @@ cd $TRAVIS_BUILD_DIR fi -mvn install -Pbuild-docker-image,run-tests >> $BUILD_OUTPUT 2>&1 +mvn install -DcreateJavadoc=true -Pbuild-docker-image,run-tests >> $BUILD_OUTPUT 2>&1 # The build finished without returning an error so dump a tail of the output dump_output
bash
d_bash_5247
--- +++ @@ -1,7 +1,7 @@ #!/bin/bash ## Don't add to this -IGNORE="(_LLVM|printf|(logical_and_or_different_type|struct_char_1|struct_integer_ptr_1|struct_integers_1|struct_long_1|struct_nested_struct_anon_1|struct_nested_struct_named_1|struct_nested_struct_ptr_named_1|struct_save_nested|struct_short_1|struct_strin...
bash
d_bash_5248
--- +++ @@ -9,4 +9,4 @@ # Brandon Myers bmyers@mozilla.com source /opt/mozdef/envs/mozdef/bin/activate -/opt/mozdef/envs/mozdef/cron/healthAndStatus.py -c /opt/mozdef/envs/mozdef/cron/healthAndStatus.fxaprod.conf +/opt/mozdef/envs/mozdef/cron/healthAndStatus.py -c /opt/mozdef/envs/mozdef/cron/healthAndStatus.fxa...
bash
d_bash_5249
--- +++ @@ -1,6 +1,8 @@ +#!/bin/sh VERSION=${1:?no version number given} TRUNK=`svn info | grep URL: | cut -c 6-` +REVNO=`svn info | grep Revision: | cut -c 11-` ROOT=`svn info | grep 'Repository Root:' | cut -c 18-` CHANGES=`svn status` @@ -8,9 +10,9 @@ if [ ! -z "$CHANGES" ]; then echo "Uncommitted chang...
bash
d_bash_5250
--- +++ @@ -35,9 +35,9 @@ -s:../doc/documentation.xml || fatal "could not generate documentation" -cp ../ext/structural-1.0.0/*.css . || fatal "could not copy CSS" -cp ../doc/*.css . || fatal "could not copy CSS" -cp -r ../target/apidocs/ javadoc || fatal "coult not insert javadoc" +cp ../e...
bash
d_bash_5251
--- +++ @@ -20,3 +20,6 @@ # start up EmPyre ./empyre --debug + +# Support non-root instalation of DB +chown $(logname):$(logname) ../data/empyre.db
bash
d_bash_5252
--- +++ @@ -10,6 +10,15 @@ cd $1 fi -git ls-tree -r --name-only HEAD | while read filename; do +nbFile=`git ls-tree -r --name-only HEAD | wc -l | tr -d ' '` +echo "Number of files: $nbFile" + +git ls-tree -r --name-only HEAD | while ((i++)); read filename; do echo "$(git log -1 --format="%ad" -- $filename),...
bash
d_bash_5253
--- +++ @@ -7,3 +7,15 @@ # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - print_in_purple "\n CLI Tools\n\n" + +brew_install "coreutils" "coreutils" +brew_install "automake" "automake" +brew_install "autoconf" "autoconf" +brew_install "openssl" "openssl" +brew_install "libyaml" "libyaml" ...
bash
d_bash_5254
--- +++ @@ -7,3 +7,6 @@ echo "Installing docker..." && apt-get -qq install docker.io > /dev/null && docker --version + +# Add vagrant user to docker group +usermod -a -G docker vagrant
bash
d_bash_5255
--- +++ @@ -6,8 +6,17 @@ # * Install mysql brew install postgresql +# Create a DB user with 'CREATEDB' attribute/permission. createuser ${db_user} --createdb -psql -U ${db_user} <<EOF -\password ${db_userpwd} +# Set password for new user, you will be prompted to enter password +psql postgres<<EOF +\password ${...
bash
d_bash_5256
--- +++ @@ -1,11 +1,14 @@ #!/bin/bash echo 'Start Wifi Auto Reconnect Script' +NOW=$(date +"%m-%d-%y - %T") +echo $NOW -if ! [ "$(ping -c 4 google.com)" ] && [ "$(ping -c 4 yahoo.com)"]; then +Target = google.com - ech 'No Wifi connection. Restarting Wifi ...' - - sudo /sbin/ifdown wlan0 - sudo /sbin/ifu...
bash
d_bash_5257
--- +++ @@ -26,9 +26,10 @@ if [ $PUSH -eq 0 ]; then docker tag $DOCKER_REPO:$1-local $DOCKER_REPO:$1 docker push $DOCKER_REPO:$1 + docker rmi -f $DOCKER_REPO:$1 fi - docker rmi -f $DOCKER_REPO:$1 + docker rmi -f $DOCKER_REPO:$1-local } if [ $PUSH -eq 0 ]; then
bash
d_bash_5258
--- +++ @@ -1,19 +1,17 @@ #!/usr/bin/env bash export BIN=$(pwd)/bin +mkdir -p $BIN # Build native components -( - cd src/libpsl-native - cmake -DCMAKE_BUILD_TYPE=Debug . - make -j - ctest -V - cp src/libpsl-native.* $BIN -) +pushd src/libpsl-native +cmake -DCMAKE_BUILD_TYPE=Debug . +make -j +cte...
bash
d_bash_5259
--- +++ @@ -3,6 +3,7 @@ font=$2 lines=whospeak.csv chars=chars.txt +colors=colors.csv start=$(date) while read -r line @@ -20,10 +21,15 @@ tspeaker=$(echo $speaker | cut -f1 -d' ') image=$(grep "^$tspeaker," "$chars" | cut -f3 -d',') fi + # ...And the location + loc=$(head --lines=$num "$play" |...
bash
d_bash_5260
--- +++ @@ -1,4 +1,4 @@ mkdir -p ../pydbc_build cd ../pydbc_build -cmake -DCMAKE_MODULE_PATH="/localdata/mkoenig/workspace/cmake_scripts;/localdata/mkoenig/workspace/pydbc/" -G"Eclipse CDT4 - Unix Makefiles" -DCMAKE_ECLIPSE_VERSION=4.2 -DCMAKE_ECLIPSE_GENERATE_SOURCE_PROJECT=TRUE ../pydbc +cmake -DCMAKE_MODULE_PAT...
bash
d_bash_5261
--- +++ @@ -16,4 +16,10 @@ # limitations under the License. ## -PYTHONPATH=$PYTHONPATH:~/Projects/CalendarServer/Twisted:~/Projects/CalDAVClientLibrary/trunk/src "$@" +pushd ~/Projects/CalendarServer/trunk +source support/shell.sh +popd + +export PYTHONPATH=$PYTHONPATH:~/Projects/CalDAVClientLibrary/trunk/src + +...
bash
d_bash_5262
--- +++ @@ -1,11 +1,12 @@ # Script to build gh-pages. git pull +scons -c . scons -j8 . bin/run_tests --report_level=short +sh dox/build-dox.sh scons -c . -sh dox/build-dox.sh git checkout gh-pages find . -maxdepth 1 ! -name 'html' ! -name '.git' | xargs rm -rf mv html/* .
bash
d_bash_5263
--- +++ @@ -8,4 +8,4 @@ exit 1 fi -sed -i".bak" -e "s/\(version\s*=\s*[\"']\)\(.*\)\([\"'].*\)/\1${VER}\3/" setup.py +sed -i".bak" -e "s/\(version[ ]*=[ ]*[\"']\)\(.*\)\([\"'].*\)/\1${VER}\3/" setup.py
bash
d_bash_5264
--- +++ @@ -1,2 +1,3 @@ # path, the 0 in the filename causes this to load first export PATH=$PATH:$HOME/.yadr/bin:$HOME/.yadr/bin/yadr +export PATH=$PATH:$HOME/utils
bash
d_bash_5265
--- +++ @@ -10,7 +10,7 @@ # and suggested workload, and output a new file. # see more : https://github.com/elitwin/pgtune python /pgtune/pgtune --version 9.4 \ - --connections 20 \ + --connections 30 \ --type DW \ --input-confi...
bash
d_bash_5266
--- +++ @@ -3,4 +3,4 @@ BASEDIR=$(dirname "$0") cd ${BASEDIR}/../ -tsc -p tsconfig.json --watch +tsc -p tsconfig.json -d --watch
bash
d_bash_5267
--- +++ @@ -28,5 +28,5 @@ --cloud_to_prod \ --cloud_to_prod_auth \ --prod_servers default gateway_v4 \ - --use_docker --internal_ci -t -j 12 $@ + --use_docker --internal_ci --allow_flakes -t -j 12 $@
bash
d_bash_5268
--- +++ @@ -40,7 +40,7 @@ if [ "$dflag" ] then - printf "A1" + printf "A1 TV" fi if [ "$vflag" ] then
bash
d_bash_5269
--- +++ @@ -4,8 +4,6 @@ NAME='elasticsearch' if [ "$1" = "$NAME" ]; then - MAX_OPEN_FILES=65535 - # Those are just defaults, they can be overriden with -Des.config=... CONF_DIR=/etc/$NAME CONF_FILE=$CONF_DIR/elasticsearch.yml @@ -15,10 +13,6 @@ OPTS="--default.config=$CONF_FILE --default.path.home=$E...
bash
d_bash_5270
--- +++ @@ -2,7 +2,7 @@ echo "Removing environment from "${CONDA_TEMP_PREFIX} if [ ${CI} == "true" ] ; then - conda deactivate emissiontest + conda deactivate else source deactivate emissiontest fi
bash
d_bash_5271
--- +++ @@ -1,6 +1,6 @@ VERSION=2.0.15 TAR=https://www.libsdl.org/projects/SDL_ttf/release/SDL2_ttf-$VERSION.tar.gz -BUILD_DEPENDS=(sdl2 liborbital mesa mesa_glu freetype libpng zlib) +BUILD_DEPENDS=(sdl2 liborbital llvm mesa freetype libpng zlib) function recipe_version { echo "$VERSION" @@ -16,7 +16,7 @@ ...
bash
d_bash_5272
--- +++ @@ -18,13 +18,12 @@ systemctl enable redis # Set up NodeConductor -yum -y install nodeconductor-wsgi +yum -y install nodeconductor su - nodeconductor -c "nodeconductor migrate --noinput" -systemctl start httpd -systemctl enable httpd -curl --head http://localhost/api/ +systemctl start nodeconductor-u...
bash
d_bash_5273
--- +++ @@ -1,4 +1,13 @@ #! /bin/bash + +# delete local "latest" tag +git tag -d latest + +# delete remote "latest" tag +git push origin :refs/tags/latest + +# tag current commit with "latest" +git tag latest # tag with version from VERSION git tag $(cat VERSION)
bash
d_bash_5274
--- +++ @@ -9,14 +9,10 @@ -o Dpkg::Options::=--force-confdef \ -y --allow-downgrades --allow-remove-essential --allow-change-held-packages dist-upgrade -# Install VMware tools -#sudo apt install -y open-vm-tools-desktop fuse +# Install tools +sudo apt install -y \ + exfat-fuse \ + libbde-dev...
bash
d_bash_5275
--- +++ @@ -44,5 +44,6 @@ function recipe_stage { dest="$(realpath $1)" make DESTDIR="$dest" install + cp "$1/bin/dash" "$1/bin/sh" # TODO: symlink when Redox supports them skip=1 }
bash
d_bash_5276
--- +++ @@ -12,4 +12,4 @@ export MERB_ENV=test export RACK_ENV=test -export JRUBY_OPTS="--server -Xcext.enabled=false" +export JRUBY_OPTS="--server -Xcext.enabled=false -J-Xss2m"
bash
d_bash_5277
--- +++ @@ -3,23 +3,18 @@ set -e -u -x if [[ `hostname` == "Scout" ]]; then - POLY_FILES_PATH=~/toolchain/v2/data/poly + POLY_FILES_PATH=~/toolchain/v2/data/borders PLANET_FILE=~/toolchain/v2/data/planet-latest.o5m OUT_DIR=~/toolchain/v2/data/planet-split - GENERATOR_TOOL=/media/ssd/osm/omim-build-releas...
bash
d_bash_5278
--- +++ @@ -12,5 +12,6 @@ #icons convert -background none -geometry 64 icon.svg img/icon-64.png convert -background none -geometry 152 icon.svg img/icon-152.png +cp icon.svg img/icon.svg rm -r ./tmp-img
bash
d_bash_5279
--- +++ @@ -7,7 +7,7 @@ alias icloud="cd ~/Library/Mobile\ Documents/com~apple~CloudDocs" # Delete all .DS_Store files recursively -alias dsrm="find . -type f -name .DS_Store -delete" +alias rmds="find . -type f -name .DS_Store -delete" alias ql="qlmanage -p >/dev/null 2>&1" # Open a file in quick look
bash
d_bash_5280
--- +++ @@ -1,10 +1,7 @@ #!/bin/bash set -x -e -export CC=${PREFIX}/bin/gcc -export CXX=${PREFIX}/bin/g++ - -find -name "*pm~" -delete +find . -name "*pm~" -delete mkdir -p perl-build mv FeatureExtract.perl perl-build/FeatureExtract.pl
bash
d_bash_5281
--- +++ @@ -2,8 +2,9 @@ # http://redsymbol.net/articles/unofficial-bash-strict-mode/ set -euxo pipefail IFS=$'\n\t' +CURRENT_COMMIT=$(git rev-parse HEAD) curl --request POST --form "token=$CI_JOB_TOKEN" --form ref=master \ - --form variables[ORIG_CI_BUILD_REF]=$CI_BUILD_REF \ + --form variables[ORIG_CI_BUIL...
bash
d_bash_5282
--- +++ @@ -55,6 +55,8 @@ tree \ vim \ wget \ +watch \ +wego \ zsh \ spark brew install lastpass-cli --with-pinentry --with-doc
bash
d_bash_5283
--- +++ @@ -2,8 +2,8 @@ source /config/user-data/edgerouter-backup.conf # Generate temporary config files -sudo cli-shell-api showConfig --show-active-only > /config/user-data/$FNAME_CONFIG -sudo cli-shell-api showConfig --show-commands --show-active-only > /config/user-data/$FNAME_CLI +sudo cli-shell-api showCon...
bash
d_bash_5284
--- +++ @@ -37,3 +37,6 @@ makeln "${PWD}/${SSH_CONFIG}" "${HOME}/.ssh/config" fi + +[[ ! "${SHELL}" =~ /zsh$ ]] && chsh -s /bin/zsh +
bash
d_bash_5285
--- +++ @@ -10,7 +10,7 @@ php make-preload.php phpize if [ "$1" = "--release" ]; then - ./configure --with-php-config=$(which php-config) + ./configure --with-php-config=$(which php-config) CFLAGS="-DNDEBUG" else # To get debugging symbols in PHP itself, build PHP with: # $ ./configure --enable-debug CF...
bash
d_bash_5286
--- +++ @@ -12,7 +12,7 @@ # Copy the desired dot files to this directory. echo "Password needed to properly copy files & directories." -sudo cp -rp ~/.bash_aliases ~/.vim/ ~/.vimrc ~/.gitconfig ~/.config/fish/config.fish ~/.config/fish/functions/ . +sudo cp --recursive --update -p ~/.bash_aliases ~/.vim/ ~/.vimrc...
bash
d_bash_5287
--- +++ @@ -28,6 +28,8 @@ alias tree='tree -C' fi +# Search for running processes easily +alias psgrep='ps ax | grep -v grep | grep' # Provide quick access to MAMP's Apache server alias apachectl='sudo /Applications/MAMP/Library/bin/apachectl' # Use recommended version of OpenSSL over deprecated OpenSSL from ...
bash
d_bash_5288
--- +++ @@ -5,4 +5,4 @@ EXTRA_ARGS="-Dtest=$TESTCASE" fi -mvn test -pl systemtest -Djava.net.preferIPv4Stack=true -DtrimStackTrace=false $EXTRA_ARGS +mvn verify -pl systemtest -Djava.net.preferIPv4Stack=true -DtrimStackTrace=false $EXTRA_ARGS
bash
d_bash_5289
--- +++ @@ -13,7 +13,7 @@ if [[ -f "$MIMETYPES_FILE" ]]; then MIMETYPES=$( grep -vE '^[[:space:]]*(#.*|)$' "$MIMETYPES_FILE" | \ - sort | uniq | \ + LC_ALL=C sort | uniq | \ awk '{printf $1 ";"}' | sed 's,;$,,' )
bash
d_bash_5290
--- +++ @@ -17,7 +17,7 @@ sys.path.insert (0, module_dir) -from pl import * +from plplot import * plsfnam("x$1p.ps") plsdev("psc")
bash
d_bash_5291
--- +++ @@ -14,7 +14,7 @@ fi cd ${sources} -./mvnw package -Dmaven.test.skip=true -DargLine="-Dlsp.lazy.completions.disable=true -Dlsp.completions.indentation.enable=true -Dlsp.yaml.completions.errors.disable=true" +./mvnw package -DargLine="-Dlsp.lazy.completions.disable=true -Dlsp.completions.indentation.enable...
bash
d_bash_5292
--- +++ @@ -17,6 +17,12 @@ exit 1 } +error () { + echo "error: $*" + trap - EXIT + exit 1 +} + # Only 'run' the tests if this script is called directly: RUNNING="$(basename $0)"
bash
d_bash_5293
--- +++ @@ -20,5 +20,5 @@ # This script downloads the pre-generated jsons from the google cloud bucket. echo "Downloading..." -mkdir static +mkdir -p static/jsons gsutil -m cp gs://bert-wsd-vis/demo/jsons/* static/jsons
bash
d_bash_5294
--- +++ @@ -5,7 +5,7 @@ # download and install chef sudo wget --content-disposition https://www.opscode.com/chef/install.sh - sudo sh install.sh -v 11.10.4 + sudo sh install.sh -v 11.12.2 sudo rm install.sh # finish initialization
bash
d_bash_5295
--- +++ @@ -5,5 +5,6 @@ exit 2 fi +touch $2 docker build -t checkbranches . docker run -v $2:/tmp/outputcheck.txt -e REPOSITORY=$1 checkbranches:latest
bash
d_bash_5296
--- +++ @@ -13,7 +13,7 @@ # If this is true, then the VM instances will be set up with auth scopes # appropriate for the android merge bot. if [ "$VM_IS_ANDROID_MERGE" = 1 ]; then - SCOPES="https://www.googleapis.com/auth/gerritcodereview,$SCOPES" + SCOPES="https://www.googleapis.com/auth/androidbuild.internal,h...
bash
d_bash_5297
--- +++ @@ -1,11 +1,11 @@ #!/bin/bash -xve #required packages -pip install urllib3[secure] -pip install catkin_pkg -pip install empy -pip install pyyaml -pip install rospkg +sudo pip install urllib3[secure] +sudo pip install catkin_pkg +sudo pip install empy +sudo pip install pyyaml +sudo pip install rospkg #r...
bash
d_bash_5298
--- +++ @@ -1,9 +1,13 @@ #!/bin/sh MODEL=$1 -INPUT='/u/vineeku6/storage/train-data/ellipsis/unk-200-v2/valid_src.txt' -GOLD='/u/vineeku6/storage/train-data/ellipsis/unk-200-v2/valid_target.txt' +INPUT='/u/vineeku6/storage/train-data/ellipsis/raw-5/valid_src.txt' +GOLD='/u/vineeku6/storage/train-data/ellipsis/raw-5/...
bash
d_bash_5299
--- +++ @@ -14,9 +14,9 @@ # See the License for the specific language governing permissions and # limitations under the License. -yarn pack +TAR=$(yarn pack | grep -Eo "/.*tgz") # Let's assume there's only one tar in our directory -diff <(tar -tf actions-on-google-testing-v*.tgz | sort) script/expected-files.txt...
bash